# $Revision: 1.14 $, $Date: 2002/07/03 10:29:42 $
Summary:	A FM-Tuner program for Gnome
Summary(pl):	Tuner FM dla Gnome
Name:		gnomeradio
Version:	1.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://mfcn.ilo.de/gnomeradio/%{name}-%{version}.tar.gz
URL:		http://mfcn.ilo.de/gnomeradio/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel >= 1.2.0
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
BuildRequires:	libtool
%ifnarch sparc sparcv9 sparc64 alpha
BuildRequires:	lirc-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A FM-Tuner program for Gnome.

%description -l pl
Tuner FM dla Gnome.

%prep
%setup -q

%build
rm -f missing
sed 's/dir=\$\$destdir\/\$\$lang/dir=\$\(DESTDIR\)\$\$destdir\/\$\$lang/' po/Makefile.in.in > po/Makefile.in.in.tmp
mv  po/Makefile.in.in.tmp po/Makefile.in.in
%{__libtoolize}
aclocal -I macros
%{__autoconf}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"; export CPPFLAGS
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Multimedia

%find_lang Gnomeradio

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Gnomeradio.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_applnkdir}/Multimedia/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnomeradio.spec,v $
Revision 1.14  2002/07/03 10:29:42  kosmo
- fixed build errors, STBR

Revision 1.13  2002/07/01 16:00:23  kloczek
- added using %%find_lang macro,
- use new %doc,
- disable BuildRequires: lirc-devel on alpha nad sparc*.

Revision 1.12  2002/07/01 15:21:20  kosmo
- updated to 1.0, STBR

Revision 1.11  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:27:02  arturs
fixed a small typo

Revision 1.8  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/03 20:49:01  ankry
- adding es/pt/pt_BR Group translations

Revision 1.5  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/10 17:30:36  misiek
- updated to 0.3

Revision 1.3  2001/11/05 17:53:40  kloczek
- added regenerate ac/am/lt files.

Revision 1.2  2001/11/04 20:11:41  misiek
- updated to 0.2

Revision 1.1  2001/10/21 17:34:20  misiek
- initial pld release
